org.apache.maven.scm.command.checkin

## Class AbstractCheckInCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkin.AbstractCheckInCommand

- All Implemented Interfaces:
    Command
  Direct Known Subclasses:
    AbstractCvsCheckInCommand, BazaarCheckInCommand, ClearCaseCheckInCommand, GitCheckInCommand, HgCheckInCommand, LocalCheckInCommand, PerforceCheckInCommand, StarteamCheckInCommand, SvnCheckInCommand, SynergyCheckInCommand, TfsCheckInCommand

      public abstract class AbstractCheckInCommand
      extends AbstractCommand

  Version:
    $Id: AbstractCheckInCommand.java 685539 2008-08-13 13:27:27Z vsiveton $
  Author:
    Emmanuel Venisse, Trygve Laugstøl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME`

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCheckInCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract CheckInScmResult` | `executeCheckInCommand(ScmProviderRepository repository, ScmFileSet fileSet, String message, ScmVersion scmVersion)`
    `ScmResult` | `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractCheckInCommand

          public AbstractCheckInCommand()

  - ### Method Detail

    - #### executeCheckInCommand

          protected abstract CheckInScmResult executeCheckInCommand(ScmProviderRepository repository,
                                               ScmFileSet fileSet,
                                               String message,
                                               ScmVersion scmVersion)
                                                             throws ScmException

      Throws:
        `ScmException`

    - #### executeCommand

          public ScmResult executeCommand(ScmProviderRepository repository,
                                 ScmFileSet fileSet,
                                 CommandParameters parameters)
                                   throws ScmException

      Specified by:
        `executeCommand` in class `AbstractCommand`
      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.